Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.admin.jspbeans
Class PortalFinderJspBean

    java.lang.Object
      |
      +--com.beasys.portal.admin.jspbeans.PortalFinderJspBean

public class PortalFinderJspBean
extends java.lang.Object

A JSP page helper class that contains numerous finder methods that wrap many of the PortalManger APIs. NOTE : All methods in this class MUST BE STATIC for performance reasons. Some methods in this class use the Waterfall algorithm. The waterfall algorithm will look for a portlet at the requested personalization level and if not found will go to the next personalization level to find the portlet, and if not found, it will go to the next level, and so on... Read each method description carefully to see whether or not the waterfall algorithm is used.

See Also:
  `PortalManager`

Method Summary
`static boolean` | `doesGroupExist(java.lang.String aPortalName, java.lang.String aGroupName)` Returns true if a portal group exists for a given portal and group.
`static Portlet` | `findPortletInArray(Portlet[] array, java.lang.String portletName)` Returns a portlet object found in an array of portlets for a given portlet name.
`boolean` | `findPortletInPortletArray(Portlet[] array, java.lang.String str)` Returns true if an array of Portlets contains an exact match (case sensative) for a portlet name string passed in.
`static java.lang.String[]` | `getAllPortalNames()` Returns an array of portal names for all of the portals definitions that exist in the system.
`static java.lang.String[]` | `getAllPortletNames()` Returns an array of portlet names for all of the portlet definitions in the system.
`static java.lang.String[]` | `getAllPortletNamesForPortal(java.lang.String aPortalName)` Gets all of the portlet names for all of the portlet definitions associated with a portal including available, unavailable, and visible.
`static java.lang.String[]` | `getAvailablePortletNamesFor(java.lang.String aPortalName)` Returns an array of portlet names for all of the available portlets for a portal at the portal level.
`static java.lang.String[]` | `getAvailablePortletNamesFor(java.lang.String aPortalName, java.lang.String aGroupName)` Returns the available portlet names for a portal and a group.
`static java.lang.String[]` | `getAvailablePortletNamesFor(java.lang.String aPortalName, java.lang.String aGroupName, java.lang.String aUserName)` Returns an array of available Portlet names for a given portal, group, and user.
`static Portlet[]` | `getAvailablePortletsFor(java.lang.String aPortalName)` Returns the available portlets for a portal at the portal level (not the group or user level).
`static Portlet[]` | `getAvailablePortletsFor(java.lang.String aPortalName, java.lang.String aGroupName)` Returns the available portlets for a portal and a group.
`static java.lang.String[]` | `getGroupIdsForPortal(java.lang.String aPortalName)` Returns an array of group ids (names) for a given portal.
`static Portal` | `getPortalFor(java.lang.String aPortalName)` Returns a portal object.
`static java.lang.String[]` | `getPortalNamesFor(java.lang.String aPortletName)` Returns all of the portal names that contain a portlet as an available portlet.
`static Portlet` | `getPortletFor(java.lang.String aPortletName)` Returns the portal definition for a given portlet name.
`static Portlet` | `getPortletForGroup(java.lang.String aPortalName, java.lang.String aGroupName, java.lang.String aPortletName, boolean isWaterfall)` Returns a portlet object for a group for a specified portal name, group name, and portlet name.
`static Portlet` | `getPortletForPortal(java.lang.String aPortalName, java.lang.String aPortletName)` Returns a the PortalPersonalization entity for a portal for the given portlet name.
`static Portlet` | `getPortletForUser(java.lang.String aPortalName, java.lang.String aGroupName, java.lang.String aPortletName, java.lang.String aUserName)` Returns a portlet object for a specified portal name, group name, user name, and portlet name.
`static Portlet` | `getPortletForUser(java.lang.String aPortalName, java.lang.String aGroupName, java.lang.String aPortletName, java.lang.String aUserName, boolean isWaterfall)` Returns a portlet object for a specified portal name, group name, user name, and portlet name.
`static Portlet[]` | `getPortletsForPortal(java.lang.String aPortalName)` Returns an array of portlet definition objects for a portal for a specified portal name.
`static java.lang.String[]` | `getVisiblePortletNamesFor(java.lang.String aPortalName)` Returns an array of visible Portlet names for a given portal at the portal level (not the group and user level).
`static java.lang.String[]` | `getVisiblePortletNamesFor(java.lang.String aPortalName, java.lang.String aGroupName)` Returns an array of Portlet names for a given portal and group.
`static java.lang.String[]` | `getVisiblePortletNamesFor(java.lang.String aPortalName, java.lang.String aGroupName, java.lang.String aUserName)` Returns an array of visible Portlet names for a given portal, group, and user.
`static Portlet[]` | `getVisiblePortletsFor(java.lang.String aPortalName)` Returns an array of visible Portlets for a given portal at the portal level (not the group and user level).
`static Portlet[]` | `getVisiblePortletsFor(java.lang.String aPortalName, java.lang.String aGroupName)` Returns an array of visible Portlets for a given portal and group.
`static Portlet[]` | `getVisiblePortletsFor(java.lang.String aPortalName, java.lang.String aGroupName, java.lang.String aUserName)` Returns an array of all available and visible Portlets for a given portal, group, and user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAllPortalNames

    public static java.lang.String[] getAllPortalNames()

  Returns an array of portal names for all of the portals definitions that exist in the system.
  Returns:
    An array of portal names found for all of the portal definitions. Returns an empty array if none found.

### getAllPortletNames

    public static java.lang.String[] getAllPortletNames()

  Returns an array of portlet names for all of the portlet definitions in the system.
  Returns:
    An array of portlet names for all of the portlet definitions. Returns an empty array if none found.

### getAllPortletNamesForPortal

    public static java.lang.String[] getAllPortletNamesForPortal(java.lang.String aPortalName)

  Gets all of the portlet names for all of the portlet definitions associated with a portal including available, unavailable, and visible.
  Parameters:
    `aPortalName` - The name of the portal for the get operation.
  Returns:
    An array of portlet names found. Returns an empty array if none found.

### getPortalFor

    public static Portal getPortalFor(java.lang.String aPortalName)

  Returns a portal object.
  Parameters:
    `aPortalName` - The name of the portal to retrieve.
  Returns:
    The Portal object found.

### getPortletFor

    public static Portlet getPortletFor(java.lang.String aPortletName)

  Returns the portal definition for a given portlet name. This method does NOT use the waterfall algorithm.
  Parameters:
    `aPortletName` - The name of the portlet
  Returns:
    a Portlet

### getAvailablePortletNamesFor

    public static java.lang.String[] getAvailablePortletNamesFor(java.lang.String aPortalName)

  Returns an array of portlet names for all of the available portlets for a portal at the portal level.
  Parameters:
    `aPortalName` - The name of the portal.
  Returns:
    An array of portlet names for the available portlets. Returns an empty array if none found.

### doesGroupExist

    public static boolean doesGroupExist(java.lang.String aPortalName,
                                         java.lang.String aGroupName)

  Returns true if a portal group exists for a given portal and group.
  Parameters:
    `aPortalName` - The name of the portal.
    `aGroupName` - The name of the portal group.
  Returns:
    true if it exists; false if not.

### getGroupIdsForPortal

    public static java.lang.String[] getGroupIdsForPortal(java.lang.String aPortalName)

  Returns an array of group ids (names) for a given portal.
  Parameters:
    `aPortalName` - The name of the portal.
  Returns:
    An array of group ids found for the portal. Returns an empty array if none found.

### getAvailablePortletNamesFor

    public static java.lang.String[] getAvailablePortletNamesFor(java.lang.String aPortalName,
                                                                 java.lang.String aGroupName)

  Returns the available portlet names for a portal and a group.
  Parameters:
    `aPortalName` - The name of the portal.
    `aGroupName` - The name of the group.
  Returns:
    An array of available portlet names found. Returns an empty array if none found.

### getAvailablePortletsFor

    public static Portlet[] getAvailablePortletsFor(java.lang.String aPortalName,
                                                    java.lang.String aGroupName)

  Returns the available portlets for a portal and a group.
  Parameters:
    `aPortalName` - The name of the portal.
    `aGroupName` - The name of the group.
  Returns:
    An array of portlets found. Returns an empty array if none found.

### getAvailablePortletsFor

    public static Portlet[] getAvailablePortletsFor(java.lang.String aPortalName)

  Returns the available portlets for a portal at the portal level (not the group or user level).
  Parameters:
    `aPortalName` - The name of the portal.
  Returns:
    An array of available portlets. Returns an empty array if none found.

### getAvailablePortletNamesFor

    public static java.lang.String[] getAvailablePortletNamesFor(java.lang.String aPortalName,
                                                                 java.lang.String aGroupName,
                                                                 java.lang.String aUserName)

  Returns an array of available Portlet names for a given portal, group, and user. This method does use the waterfall algorithm.
  Parameters:
    `aPortalName` - The name of the portal.
    `aGroupName` - The name of the group.
    `aUserName` - The name of the user.
  Returns:
    An array of available portlet names found. Returns an empty array if none found.

### getVisiblePortletNamesFor

    public static java.lang.String[] getVisiblePortletNamesFor(java.lang.String aPortalName)

  Returns an array of visible Portlet names for a given portal at the portal level (not the group and user level).
  Parameters:
    `aPortalName` - The name of the portal.
  Returns:
    An array of visible portlet names found. Returns an empty array if none found.

### getVisiblePortletsFor

    public static Portlet[] getVisiblePortletsFor(java.lang.String aPortalName)

  Returns an array of visible Portlets for a given portal at the portal level (not the group and user level).
  Parameters:
    `aPortalName` - The name of the portal.
  Returns:
    An array of visible portlets found. Returns an empty array if none found.

### getVisiblePortletNamesFor

    public static java.lang.String[] getVisiblePortletNamesFor(java.lang.String aPortalName,
                                                               java.lang.String aGroupName)

  Returns an array of Portlet names for a given portal and group. This method does use the waterfall algorithm.
  Parameters:
    `aPortalName` - The name of the portal.
    `aGroupName` - The name of the group.
  Returns:
    An array of visible portlet names found. Returns an empty array if none found.

### getVisiblePortletsFor

    public static Portlet[] getVisiblePortletsFor(java.lang.String aPortalName,
                                                  java.lang.String aGroupName)

  Returns an array of visible Portlets for a given portal and group. This method does use the waterfall algorithm.
  Parameters:
    `aPortalName` - The name of the portal.
    `aGroupName` - The name of the group.
  Returns:
    An array of visible portlets found. Returns an empty array if none found.

### getVisiblePortletNamesFor

    public static java.lang.String[] getVisiblePortletNamesFor(java.lang.String aPortalName,
                                                               java.lang.String aGroupName,
                                                               java.lang.String aUserName)

  Returns an array of visible Portlet names for a given portal, group, and user. This method does use the waterfall algorithm.
  Parameters:
    `aPortalName` - The name of the portal.
    `aGroupName` - The name of the group.
    `aUserName` - The name of the user.
  Returns:
    An array of visible portlet names found. Returns an empty array if none found.

### getVisiblePortletsFor

    public static Portlet[] getVisiblePortletsFor(java.lang.String aPortalName,
                                                  java.lang.String aGroupName,
                                                  java.lang.String aUserName)

  Returns an array of all available and visible Portlets for a given portal, group, and user. This method does use the waterfall algorithm.
  Parameters:
    `aPortalName` - The name of the portal.
    `aGroupName` - The name of the group.
    `aUserName` - The name of the user.
  Returns:
    An array of available and visible portlets found. Returns an empty array if none found.

### getPortalNamesFor

    public static java.lang.String[] getPortalNamesFor(java.lang.String aPortletName)

  Returns all of the portal names that contain a portlet as an available portlet. Unavailable portlets are not returned.
  Parameters:
    `aPortletName` - The name of a portlet.
  Returns:
    An array of portal names found where this portlet is available. Returns an empty array if none found.

### getPortletForPortal

    public static Portlet getPortletForPortal(java.lang.String aPortalName,
                                              java.lang.String aPortletName)

  Returns a the PortalPersonalization entity for a portal for the given portlet name. Does NOT use the waterfall algorithm.
  Parameters:
    `aPortalName` - The name of the portal.
    `aPortletName` - The name of th portlet to find.
  Returns:
    A portlet. If not found, returns null.
  See Also:
    `PortalManager.getPortletForPortal(String, String, String)`

### getPortletForGroup

    public static Portlet getPortletForGroup(java.lang.String aPortalName,
                                             java.lang.String aGroupName,
                                             java.lang.String aPortletName,
                                             boolean isWaterfall)

  Returns a portlet object for a group for a specified portal name, group name, and portlet name. This method uses the waterfall algorithm.
  Parameters:
    `aPortalName` - The portal name.
    `aGroupName` - The group name.
    `aPortletName` - The portlet name.
  Returns:
    The Portlet object found.

### getPortletsForPortal

    public static Portlet[] getPortletsForPortal(java.lang.String aPortalName)

  Returns an array of portlet definition objects for a portal for a specified portal name. This method does NOT use the waterfall algorithm.
  Parameters:
    `aPortalName` - The portal name.
  Returns:
    An array of portlet objects found, if none found it returns an empty array.

### findPortletInArray

    public static Portlet findPortletInArray(Portlet[] array,
                                             java.lang.String portletName)

  Returns a portlet object found in an array of portlets for a given portlet name. This is a case sensative match for the string passed in.
  Parameters:
    `array` - An array of Portlets to search.
    `portletName` - The name to find.
  Returns:
    the found portlet else null.

### getPortletForUser

    public static Portlet getPortletForUser(java.lang.String aPortalName,
                                            java.lang.String aGroupName,
                                            java.lang.String aPortletName,
                                            java.lang.String aUserName)

  Returns a portlet object for a specified portal name, group name, user name, and portlet name. This method DOES NOT USE the waterfall algorithm.
  Parameters:
    `aPortalName` - The portal name.
    `aGroupName` - The group name.
    `aPortletName` - The portlet name.
    `aUserName` - The user name.
  Returns:
    The Portlet object found.

### getPortletForUser

    public static Portlet getPortletForUser(java.lang.String aPortalName,
                                            java.lang.String aGroupName,
                                            java.lang.String aPortletName,
                                            java.lang.String aUserName,
                                            boolean isWaterfall)

  Returns a portlet object for a specified portal name, group name, user name, and portlet name. This method uses the waterfall algorithm as determined by the isWaterfall parameter passed in.
  Parameters:
    `aPortalName` - The portal name.
    `aGroupName` - The group name.
    `aPortletName` - The portlet name.
    `aUserName` - The user name.
    `isWaterfall` - true means use the waterfall algorithm, and false means do not use the waterfall algorithm.
  Returns:
    The Portlet object found.

### findPortletInPortletArray

    public boolean findPortletInPortletArray(Portlet[] array,
                                             java.lang.String str)

  Returns true if an array of Portlets contains an exact match (case sensative) for a portlet name string passed in.
  Parameters:
    `array` - An array of Portlets.
    `str` - A portlet name.
  Returns:
    true if found; false if not found.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved